/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

import com.is2t.elflw.ElfGenerator;

/**
 * An ELF section.
 */
public abstract class Section extends ElfLinkerNode {

	/**
	 * Alignment 
	 */
	public int alignment;

	public Section(int alignment){
		this.alignment = alignment;
	}
	
	public abstract void generateUsing(ElfGenerator gen);

	public abstract int size();
}
